> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit the given payment received.



## OpenAPI

````yaml api-reference/openapi.json put /api/payments-received/{id}
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/payments-received/{id}:
    put:
      tags:
        - Payments Received
      summary: Edit the given payment received.
      operationId: PaymentReceivesController_editPaymentReceive
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditPaymentReceivedDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    EditPaymentReceivedDto:
      type: object
      properties:
        customerId:
          type: number
          description: The id of the customer
          example: 1
        paymentDate:
          type: object
          description: The payment date of the payment received
          example: '2021-01-01'
        amount:
          type: number
          description: The amount of the payment received
          example: 100
        exchangeRate:
          type: number
          description: The exchange rate of the payment received
          example: 1
        referenceNo:
          type: string
          description: The reference number of the payment received
          example: '123456'
        depositAccountId:
          type: number
          description: The id of the deposit account
          example: 1
        paymentReceiveNo:
          type: string
          description: The payment receive number of the payment received
          example: '123456'
        statement:
          type: string
          description: The statement of the payment received
          example: '123456'
        entries:
          description: The entries of the payment received
          example:
            - invoiceId: 1
              paymentAmount: 100
          type: array
          items:
            type: string
        branchId:
          type: number
          description: The id of the branch
          example: 1
        attachments:
          description: The attachments of the payment received
          example:
            - id: 1
              type: bill
          type: array
          items:
            type: string
      required:
        - customerId
        - paymentDate
        - amount
        - exchangeRate
        - referenceNo
        - depositAccountId
        - paymentReceiveNo
        - statement
        - entries
        - branchId
        - attachments

````